Bug Hunting Session
Bug 120211 - Display none para with text:bookmark-start tag displayed
Summary: Display none para with text:bookmark-start tag displayed
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Paragraph
  Show dependency treegraph
 
Reported: 2018-09-30 10:52 UTC by Antoine POURCHEZ
Modified: 2019-10-20 02:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample ODT that show the pb (9.06 KB, application/vnd.oasis.opendocument.text)
2018-09-30 10:59 UTC, Antoine POURCHEZ
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine POURCHEZ 2018-09-30 10:52:11 UTC
Description:
In this case, first hidden para is displayed despite the style "text:display="none"" :
```
<style:style style:name="testHidden" style:family="paragraph" >
   <style:text-properties text:display="none"/>
</style:style>
...
<text:p text:style-name="testHidden"><text:bookmark-start text:name="idAaa"/></text:p>
<text:p>Inner test 1 : preceding empty para show KO</text:p>
<text:p text:style-name="testHidden"><text:bookmark-end text:name="idAaa"/></text:p>
```

Note : in this case (with cdata in para), the paragraph is correctly hidden
```
 <text:p text:style-name="testHidden">Bbb<text:bookmark-start text:name="idBbb"/></text:p>
```

bugHiddenPara.odt show the pb

Steps to Reproduce:
cf desription

Actual Results:
show para

Expected Results:
mask para


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 Antoine POURCHEZ 2018-09-30 10:58:23 UTC
LO 5.4.4.2 - 2524958677847fb3bb44820e40380acbe820f960 : OK
LO 6.1.0.3 (x64) - efb621ed25068d70781dc026f7e9c5187a4decd1 : KO
Comment 2 Antoine POURCHEZ 2018-09-30 10:59:03 UTC
Created attachment 145275 [details]
Sample ODT that show the pb
Comment 3 Antoine POURCHEZ 2018-09-30 11:05:24 UTC
LO 6.1.2.1 (x64) - 65905a128db06ba48db947242809d14d3f9a93fe : KO
Comment 4 Xisco Faulí 2018-10-10 10:42:43 UTC
Regression introduced by:

author	Luke Deller <luke@deller.id.au>	2018-03-05 00:14:28 +1100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2018-03-05 10:26:47 +0100
commit	18cbb8fe699131a234355e1d00fa917fede6ac46 (patch)
tree	0642ae0059b821ed52228bde8bb526c15e2ec285
parent	60ac7418747530a006894a7941c67c5006d6158c (diff)
tdf#107035 Fix field character style DOCX import

Bisected with: bibisect-linux64-6.1

Adding Cc: to Luke Deller
Comment 5 QA Administrators 2019-10-20 02:33:01 UTC
Dear Antoine POURCHEZ,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug